Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal audio devices to fail to load w/o unacceptable workaround (Lenovo IdeaPad 5 15IIL05)

Bug #1886341 reported by Corbin
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Focal
Medium
Unassigned

Bug Description

[Impact]
On the machine of Lenovo IdeaPad 5 15IIL05, the audio doesn't work,
checking the dmesg, I found the audio driver fails to initialize
because it fails on i915 audio codec probe.

[Fix]
backport 3 patches from mainline kernel, move the i915 audio codec
init earlier.

[Test Case]
Boot the kernel with these 3 patches, check dmesg, there is no
i915 audio codec probe error anymore, and audio driver initializes
successfully, and input and output audio devices all work.

[Regression Risk]
Low, already tested these 3 patches on a couple of LENOVO dmic
machines (cnl and cml machines), all work as well as before.

On Ubuntu 20.04, running kernel 5.4.0-40-generic, the internal speakers, headphone jack, and mic do not work at all. No audio devices appear in the Sound settings or in pavucontrol. By appending options snd_hda_intel dmic_detect=0 to /etc/modprobe.d/alsa-base.conf, I can get audio working, but the microphone (unsuprisingly) does not work. Appending options snd-intel-dspcfg dsp_driver=1 to alsa_base.conf as the same effect as dmic_detect=0. Attempts to fix with option snd_hda_intel device=generic or deveice=auto have had no effect. This bug does NOT manifest on 5.4.0-26-generic, the kernel version featured on the 20.04 live media. After installation, and updating to 5.4.0-40-generic, the bug manifests on the next boot.

Note that the audio hardware seems to work properly w/o workaround on a small (< 5%) percentage of boots, but I have been unable to reproduce this. With the workaround enabled, inxi -A gives

Audio:
  Device-1: Intel Smart Sound Audio driver: snd_hda_intel
  Sound Server: ALSA v: k5.4.0-40-generic

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-40-generic 5.4.0-40.44
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
Uname: Linux 5.4.0-40-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jill 1374 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Sun Jul 5 13:32:58 2020
InstallationDate: Installed on 2020-07-03 (2 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 81YK
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-40-generic N/A
 linux-backports-modules-5.4.0-40-generic N/A
 linux-firmware 1.187.1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/18/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DPCN40WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: IdeaPad 5 15IIL05
dmi.modalias: dmi:bvnLENOVO:bvrDPCN40WW:bd03/18/2020:svnLENOVO:pn81YK:pvrIdeaPad515IIL05:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrIdeaPad515IIL05:
dmi.product.family: IdeaPad 5 15IIL05
dmi.product.name: 81YK
dmi.product.sku: LENOVO_MT_81YK_BU_idea_FM_IdeaPad 5 15IIL05
dmi.product.version: IdeaPad 5 15IIL05
dmi.sys.vendor: LENOVO
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-07-03 (5 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 81YK
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-40-generic N/A
 linux-backports-modules-5.4.0-40-generic N/A
 linux-firmware 1.187.1
Tags: wayland-session focal
Uname: Linux 5.4.0-40-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/18/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DPCN40WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: IdeaPad 5 15IIL05
dmi.modalias: dmi:bvnLENOVO:bvrDPCN40WW:bd03/18/2020:svnLENOVO:pn81YK:pvrIdeaPad515IIL05:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrIdeaPad515IIL05:
dmi.product.family: IdeaPad 5 15IIL05
dmi.product.name: 81YK
dmi.product.sku: LENOVO_MT_81YK_BU_idea_FM_IdeaPad 5 15IIL05
dmi.product.version: IdeaPad 5 15IIL05
dmi.sys.vendor: LENOVO
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jill 1365 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-07-03 (7 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 81YK
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.6.0-1018-oem root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.6.0-1018.18-oem 5.6.18
RelatedPackageVersions:
 linux-restricted-modules-5.6.0-1018-oem N/A
 linux-backports-modules-5.6.0-1018-oem N/A
 linux-firmware 1.187.1
Tags: wayland-session focal
Uname: Linux 5.6.0-1018-oem x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/18/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DPCN40WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: IdeaPad 5 15IIL05
dmi.modalias: dmi:bvnLENOVO:bvrDPCN40WW:bd03/18/2020:svnLENOVO:pn81YK:pvrIdeaPad515IIL05:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrIdeaPad515IIL05:
dmi.product.family: IdeaPad 5 15IIL05
dmi.product.name: 81YK
dmi.product.sku: LENOVO_MT_81YK_BU_idea_FM_IdeaPad 5 15IIL05
dmi.product.version: IdeaPad 5 15IIL05
dmi.sys.vendor: LENOVO
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jill 1365 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-07-03 (7 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 81YK
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.6.0-1018-oem root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.6.0-1018.18-oem 5.6.18
RelatedPackageVersions:
 linux-restricted-modules-5.6.0-1018-oem N/A
 linux-backports-modules-5.6.0-1018-oem N/A
 linux-firmware 1.187.1
Tags: wayland-session focal
Uname: Linux 5.6.0-1018-oem x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/18/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DPCN40WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: IdeaPad 5 15IIL05
dmi.modalias: dmi:bvnLENOVO:bvrDPCN40WW:bd03/18/2020:svnLENOVO:pn81YK:pvrIdeaPad515IIL05:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrIdeaPad515IIL05:
dmi.product.family: IdeaPad 5 15IIL05
dmi.product.name: 81YK
dmi.product.sku: LENOVO_MT_81YK_BU_idea_FM_IdeaPad 5 15IIL05
dmi.product.version: IdeaPad 5 15IIL05
dmi.sys.vendor: LENOVO

Revision history for this message
Corbin (cpwest11) wrote :
Corbin (cpwest11)
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Corbin (cpwest11)
summary: - Kernel Regression causes laptop internal audio devices to fail to load
- w/o unacceptable workaround
+ Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal
+ audio devices to fail to load w/o unacceptable workaround
Revision history for this message
gogolink (gogolink70) wrote : Re: Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal audio devices to fail to load w/o unacceptable workaround

I have the same problem on a Lenovo Ideapad 5 (15IIL05), with Linux Mint 20 Xfce installed: sound works fully (incl. mic) on 5.4.0-26, but not at all on 5.4.0-40. For reference, I've had a discussion on the Mint forum: https://forums.linuxmint.com/viewtopic.php?f=49&t=323823

Revision history for this message
Hui Wang (hui.wang) wrote :

@Corbin, please remove the workaroud and regenerate the logs in the #1

@gogolink, please upload the logs as the #1.

thx.

Revision history for this message
Hui Wang (hui.wang) wrote :

Let us record a potential fix here:

commit 91dce767cd0b08be9f1c87bb2de8e63391a72692
Author: Kai Vehmanen <email address hidden>
Date: Tue Dec 17 18:26:13 2019 -0600

    ASoC: SOF: Intel: drop HDA codec upon probe failure

    In case a HDA codec probe fails, do not raise error immediately,
    but instead remove the codec from bus->codec_mask and continue
    probe for other codecs.

    This allows for more robust behaviour in cases where one codec
    in the system is faulty. SOF driver load can still proceed with
    the codecs that can be probed successfully. Probe may still
    fail if suitable machine driver is not found, but in many
    cases the generic HDA machine driver can operate with a subset
    of codecs.

    Reviewed-by: Ranjani Sridharan <email address hidden>
    Signed-off-by: Kai Vehmanen <email address hidden>
    Signed-off-by: Pierre-Louis Bossart <email address hidden>
    Link: https://<email address hidden>
    Signed-off-by: Mark Brown <email address hidden>

Revision history for this message
gogolink (gogolink70) wrote :

@Hui Wang: where can I find guidance on how to upload the logs? You need those 18 that Corbin posted in comment #1? Where would I find the scripts/commands that generate them?

Revision history for this message
Hui Wang (hui.wang) wrote :

Maybe it is: apport-collect 1886341

Revision history for this message
gogolink (gogolink70) wrote : apport information

ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
CurrentDesktop: XFCE
DistroRelease: Linux Mint 20
InstallationDate: Installed on 2020-07-04 (3 days ago)
InstallationMedia: Linux Mint 20 "Ulyana" - Release amd64 20200624
MachineType: LENOVO 81YK
Package: linux (not installed)
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic root=UUID=2e46f6f5-ae2b-4993-988a-aecc4571b463 ro quiet splash
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-40-generic N/A
 linux-backports-modules-5.4.0-40-generic N/A
 linux-firmware 1.187.1
Tags: ulyana
Uname: Linux 5.4.0-40-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/15/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DPCN39WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40700 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: IdeaPad 5 15IIL05
dmi.modalias: dmi:bvnLENOVO:bvrDPCN39WW:bd01/15/2020:svnLENOVO:pn81YK:pvrIdeaPad515IIL05:rvnLENOVO:rnLNVNB161216:rvrSDK0J40700WIN:cvnLENOVO:ct10:cvrIdeaPad515IIL05:
dmi.product.family: IdeaPad 5 15IIL05
dmi.product.name: 81YK
dmi.product.sku: LENOVO_MT_81YK_BU_idea_FM_IdeaPad 5 15IIL05
dmi.product.version: IdeaPad 5 15IIL05
dmi.sys.vendor: LENOVO

tags: added: apport-collected ulyana
Revision history for this message
gogolink (gogolink70) wrote : AlsaInfo.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : CRDA.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : CurrentDmesg.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : IwConfig.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Lspci.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Lspci-vt.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Lsusb.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Lsusb-t.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Lsusb-v.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : ProcEnviron.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : ProcInterrupts.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : ProcModules.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : PulseList.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : RfKill.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : UdevDb.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : WifiSyslog.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote : Re: Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal audio devices to fail to load w/o unacceptable workaround

OK, think I got it. I'm adding apport file apport.linux.yukw0jij.apport as an attachment.
Keep in mind that after installing Mint 20 Xfce with kernel 5.4.0-26, and updating to 5.4.0-40.44, I did two things that changed what I get from the sound system, one for the better, the other for the worse (see forum discussion https://forums.linuxmint.com/viewtopic.php?f=49&t=323823):

sudo tee /etc/modprobe.d/alsa-fix.conf <<<'options snd-intel-dspcfg dsp_driver=1'
sudo tee /etc/modprobe.d/alsa-fix.conf <<<'options snd-intel-dspcfg dsp_driver=2'

Revision history for this message
Corbin (cpwest11) wrote : AlsaInfo.txt

apport information

description: updated
Revision history for this message
Corbin (cpwest11) wrote : CRDA.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : IwConfig.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lspci.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lspci-vt.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb-t.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb-v.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcModules.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : PulseList.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : RfKill.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : UdevDb.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : WifiSyslog.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Re: Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal audio devices to fail to load w/o unacceptable workaround

Here are the logs w/o workaround. Please let me know if you need anything else.

Hui Wang (hui.wang)
summary: Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal
- audio devices to fail to load w/o unacceptable workaround
+ audio devices to fail to load w/o unacceptable workaround (Lenovo
+ IdeaPad 5 15IIL05)
Revision history for this message
Hui Wang (hui.wang) wrote :

both machines are IdeaPad 5 Icelake platforms.

Could you please verify if 5.4.0-39 kernel has the problem or not?

sudo apt install linux-image-unsigned-5.4.0-39-generic linux-modules-extra-5.4.0-39-generic
reboot with the 5.4.0-39 kernel and upload the dmesg

To remove the 5.4.0-39 kernel
sudo apt -r linux-image-... linux-modules-extra-...

Revision history for this message
gogolink (gogolink70) wrote :

I did try 5.4.0-39 before, and it did have the same problem (= no sound). I also tried 5.4.0-37, and I think also 5.4.0-33. I'm a bit too tired now to install those kernels again and run dmesg, but can do it tomorrow, if it helps.

Revision history for this message
Hui Wang (hui.wang) wrote :

@gogolink,

If you have tried those kernels and those kernels still failed, there is no need to reinstall those kernels.

Your machine is ab Icelake machine and we hasn't had a chance to enable the sof audio on an icelake machine before. I have no idea why the hdmi codec init fails.

To debug this issue, we need to find the 1st workable kernel for this machine, for example, 5.7.0-rc1 not work, 5.7.0-rc2 work.

So could you please test the mainline kernel to find the 1st workable kernel like:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.6-rc3/
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.6-rc4/
...

Revision history for this message
Corbin (cpwest11) wrote :

I will do the same as well

Revision history for this message
gogolink (gogolink70) wrote :

@Hui Wang:
How do I actually load a mainline kernel?

I installed Ubuntu Mainline Kernel Installer, and used it too install kernel 5.6.3;
but at boot attempt, I get this message:

error: /boot/vmlinuz-5.6.3-050603-generic has invalid signature.
error: you need to load the kernel first.

Revision history for this message
Corbin (cpwest11) wrote :

@gogolink
try turning off secure boot

Revision history for this message
gogolink (gogolink70) wrote :

@Corbin
Thanks, that worked!

And with this I can report that sound in 5.6.3 DOES work for me. Will go back now and try to find the *1st* workable kernel.

Revision history for this message
gogolink (gogolink70) wrote :

Sound seems to be working fully on 5.6.0-050600rc3.
On 5.5.19-050519, sound was totally broken. When I clicked on volume control, the message was "not connected to the pulse audio server."

Revision history for this message
gogolink (gogolink70) wrote :

On 5.5.10, sound is also not working; but just as on 5.4.0-40, at least when I click on volume control (in panel), it does show me a volume level and allow me to open audio mixer, which shows "Dummy output" and "No cards available for configuration." (So there seems to be some change somewhere between 5.5.10 and 5.5.19, but the first workable kernel is 5.6.0.)

Revision history for this message
Hui Wang (hui.wang) wrote :

@Corbin and @gogolink,

On the 20.04, we could install the ubuntu 5.6.0-oem kernel, you could install that kernel on the 20.04. Let us see if that kernel has this issue or not.

Revision history for this message
gogolink (gogolink70) wrote :

Running now on 5.6.0-1010-oem, and sound is working! That includes the internal microphone.
Thank you, Hui Wang and Corbin!

Revision history for this message
Corbin (cpwest11) wrote :

The 5.6-0 OEM was the earliest version of the kernel I could get working as well.

Interestingly enough,this kernel seems to exhibit a seperate bug, but I will file that one seperatly.

Here are the apport logs.

Revision history for this message
Corbin (cpwest11) wrote :

Also the bug in question doesn't actually exist

description: updated
Revision history for this message
Corbin (cpwest11) wrote : AlsaInfo.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : CRDA.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : IwConfig.txt

apport information

description: updated
Revision history for this message
Corbin (cpwest11) wrote : AlsaInfo.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : CRDA.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : IwConfig.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lspci.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lspci-vt.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb-t.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : Lsusb-v.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : ProcModules.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : PulseList.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : RfKill.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : UdevDb.txt

apport information

Revision history for this message
Corbin (cpwest11) wrote : WifiSyslog.txt

apport information

Revision history for this message
gogolink (gogolink70) wrote :

@Corbin:
Hi Corbin, can I ask what that separate bug is? Since we seem to have the same kind of machine...

Revision history for this message
Corbin (cpwest11) wrote :

Well, previously on mint as well as the Ubuntu liveimage, fans would run at medium to high speed constantly despite running in gpu rendering mode and no visible cpu strain. The air coming out of the vents would be cold as well.

When i booted 5.6.0, the fans ran fast for a minute or so after boot, then everything returned to normal.

Like I said, it would merit a separate report.

Revision history for this message
gogolink (gogolink70) wrote : Re: [Bug 1886341] Re: Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal audio devices to fail to load w/o unacceptable workaround (Lenovo IdeaPad 5 15IIL05)
Download full text (10.2 KiB)

I thought I noticed the same, so it wasn't just me. I installed TLP
looking at these pieces of advice:
https://itsfoss.com/reduce-overheating-laptops-linux/#comments
... and perhaps it's helped. Or it just settled to normal. Right now, fans
are reasonably calm.

On Fri, Jul 10, 2020 at 5:30 PM Corbin <email address hidden> wrote:

> Well, previously on mint as well as the Ubuntu liveimage, fans would run
> at medium to high speed constantly despite running in gpu rendering mode
> and no visible cpu strain. The air coming out of the vents would be cold
> as well.
>
> When i booted 5.6.0, the fans ran fast for a minute or so after boot,
> then everything returned to normal.
>
> Like I said, it would merit a separate report.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1886341
>
> Title:
> Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal
> audio devices to fail to load w/o unacceptable workaround (Lenovo
> IdeaPad 5 15IIL05)
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> On Ubuntu 20.04, running kernel 5.4.0-40-generic, the internal
> speakers, headphone jack, and mic do not work at all. No audio devices
> appear in the Sound settings or in pavucontrol. By appending options
> snd_hda_intel dmic_detect=0 to /etc/modprobe.d/alsa-base.conf, I can
> get audio working, but the microphone (unsuprisingly) does not work.
> Appending options snd-intel-dspcfg dsp_driver=1 to alsa_base.conf as
> the same effect as dmic_detect=0. Attempts to fix with option
> snd_hda_intel device=generic or deveice=auto have had no effect. This
> bug does NOT manifest on 5.4.0-26-generic, the kernel version featured
> on the 20.04 live media. After installation, and updating to
> 5.4.0-40-generic, the bug manifests on the next boot.
>
> Note that the audio hardware seems to work properly w/o workaround on
> a small (< 5%) percentage of boots, but I have been unable to
> reproduce this. With the workaround enabled, inxi -A gives
>
> Audio:
> Device-1: Intel Smart Sound Audio driver: snd_hda_intel
> Sound Server: ALSA v: k5.4.0-40-generic
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: linux-image-5.4.0-40-generic 5.4.0-40.44
> ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
> Uname: Linux 5.4.0-40-generic x86_64
> ApportVersion: 2.20.11-0ubuntu27.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jill 1374 F.... pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: ubuntu:GNOME
> Date: Sun Jul 5 13:32:58 2020
> InstallationDate: Installed on 2020-07-03 (2 days ago)
> InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64
> (20200423)
> MachineType: LENOVO 81YK
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 i915drmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic
> root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
> Rela...

Revision history for this message
Hui Wang (hui.wang) wrote :

We also want to fix this issue in the ubuntu 5.4 kernel, so I built a testing kernel, could you please test if that testing kernel work or not, if it doesn't work, please upload a complete dmesg.

thx.

https://people.canonical.com/~hwang4/lp1886341/

Revision history for this message
gogolink (gogolink70) wrote :
Download full text (9.9 KiB)

Sound does *not* work for me on testing kernel 5.4.0-42
I'm attaching the dmseg output.

On Mon, Jul 13, 2020 at 12:20 AM Hui Wang <email address hidden>
wrote:

> We also want to fix this issue in the ubuntu 5.4 kernel, so I built a
> testing kernel, could you please test if that testing kernel work or
> not, if it doesn't work, please upload a complete dmesg.
>
> thx.
>
> https://people.canonical.com/~hwang4/lp1886341/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1886341
>
> Title:
> Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal
> audio devices to fail to load w/o unacceptable workaround (Lenovo
> IdeaPad 5 15IIL05)
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> On Ubuntu 20.04, running kernel 5.4.0-40-generic, the internal
> speakers, headphone jack, and mic do not work at all. No audio devices
> appear in the Sound settings or in pavucontrol. By appending options
> snd_hda_intel dmic_detect=0 to /etc/modprobe.d/alsa-base.conf, I can
> get audio working, but the microphone (unsuprisingly) does not work.
> Appending options snd-intel-dspcfg dsp_driver=1 to alsa_base.conf as
> the same effect as dmic_detect=0. Attempts to fix with option
> snd_hda_intel device=generic or deveice=auto have had no effect. This
> bug does NOT manifest on 5.4.0-26-generic, the kernel version featured
> on the 20.04 live media. After installation, and updating to
> 5.4.0-40-generic, the bug manifests on the next boot.
>
> Note that the audio hardware seems to work properly w/o workaround on
> a small (< 5%) percentage of boots, but I have been unable to
> reproduce this. With the workaround enabled, inxi -A gives
>
> Audio:
> Device-1: Intel Smart Sound Audio driver: snd_hda_intel
> Sound Server: ALSA v: k5.4.0-40-generic
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: linux-image-5.4.0-40-generic 5.4.0-40.44
> ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
> Uname: Linux 5.4.0-40-generic x86_64
> ApportVersion: 2.20.11-0ubuntu27.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jill 1374 F.... pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: ubuntu:GNOME
> Date: Sun Jul 5 13:32:58 2020
> InstallationDate: Installed on 2020-07-03 (2 days ago)
> InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64
> (20200423)
> MachineType: LENOVO 81YK
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 i915drmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic
> root=UUID=dc3e058d-42fc-4de4-b94a-749c1295dc68 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-5.4.0-40-generic N/A
> linux-backports-modules-5.4.0-40-generic N/A
> linux-firmware 1.187.1
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 03/18/2020
> dmi....

Revision history for this message
Hui Wang (hui.wang) wrote :

@Corbin,

You set "regression" in the bug title, suppose the audio in the 5.4.0-26 kernel works, what version of kernel is the 1st can't work -28, -33, -39 or -40? After I get the 1st failure kernel, I could check what patch introduced the regression.

thx.

Revision history for this message
Hui Wang (hui.wang) wrote :

@gogolink,

I built a new testing kernel, if you have time, please help test it. If it still can't work, we have to bisect if we want to fix it in the 5.4 kernel.

https://people.canonical.com/~hwang4/lp1886341/v2/

thx.

Revision history for this message
Corbin (cpwest11) wrote :

I will investigate when I have some time, hopefully later today.

Revision history for this message
gogolink (gogolink70) wrote :
Download full text (10.4 KiB)

@Hui Wang
The new testing kernel -- 5.4.0-42.46 -- does work on my machine! Sound
works, mic works. One odd thing: with headphones plugged in, sound is
output at both headphones and internal speakers. And it's not immediately
obvious to me how to mute the speakers but leave the headphones on.

Volume Control lists four output devices:

Smart Sound Technology Audio Controller HDMI3/DP3 Output
Smart Sound Technology Audio Controller HDMI2/DP2 Output
Smart Sound Technology Audio Controller HDMI1/DP1 Output
Smart Sound Technology Audio Controller Speaker + Headphones

I'm attaching dmesg output.

On Mon, Jul 13, 2020 at 10:20 AM Hui Wang <email address hidden>
wrote:

> @gogolink,
>
> I built a new testing kernel, if you have time, please help test it. If
> it still can't work, we have to bisect if we want to fix it in the 5.4
> kernel.
>
> https://people.canonical.com/~hwang4/lp1886341/v2/
>
> thx.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1886341
>
> Title:
> Kernel Regression between 5.4.0-26 and 5.4.0-40 causes laptop internal
> audio devices to fail to load w/o unacceptable workaround (Lenovo
> IdeaPad 5 15IIL05)
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> On Ubuntu 20.04, running kernel 5.4.0-40-generic, the internal
> speakers, headphone jack, and mic do not work at all. No audio devices
> appear in the Sound settings or in pavucontrol. By appending options
> snd_hda_intel dmic_detect=0 to /etc/modprobe.d/alsa-base.conf, I can
> get audio working, but the microphone (unsuprisingly) does not work.
> Appending options snd-intel-dspcfg dsp_driver=1 to alsa_base.conf as
> the same effect as dmic_detect=0. Attempts to fix with option
> snd_hda_intel device=generic or deveice=auto have had no effect. This
> bug does NOT manifest on 5.4.0-26-generic, the kernel version featured
> on the 20.04 live media. After installation, and updating to
> 5.4.0-40-generic, the bug manifests on the next boot.
>
> Note that the audio hardware seems to work properly w/o workaround on
> a small (< 5%) percentage of boots, but I have been unable to
> reproduce this. With the workaround enabled, inxi -A gives
>
> Audio:
> Device-1: Intel Smart Sound Audio driver: snd_hda_intel
> Sound Server: ALSA v: k5.4.0-40-generic
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: linux-image-5.4.0-40-generic 5.4.0-40.44
> ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
> Uname: Linux 5.4.0-40-generic x86_64
> ApportVersion: 2.20.11-0ubuntu27.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jill 1374 F.... pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: ubuntu:GNOME
> Date: Sun Jul 5 13:32:58 2020
> InstallationDate: Installed on 2020-07-03 (2 days ago)
> InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64
> (20200423)
> MachineType: LENOVO 81YK
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/...

Revision history for this message
gogolink (gogolink70) wrote :

Actually, the use of built-in speaker and headphones at the same time happens only if I boot with headphones plugged in; and the way to mute the speakers but not the headphones is simply to unplug and reinsert the headphones. So that's fine. (It's different from what I'm used to, but acceptable behavior IMO).
And 5.6.0 is no different from the new testing kernel in that regard.

Revision history for this message
Hui Wang (hui.wang) wrote :

OK, thx. I will SRU the patches in the testing kernel first.

Revision history for this message
Corbin (cpwest11) wrote :

It actually didn't work for me, but that is likely because i did not load linux-modules-extra. THe download link for the deb keeps failing, but I'll try again tomorrow. So please disregard until then.

Revision history for this message
Hui Wang (hui.wang) wrote :

Yes, linux-module-extra is needed since all audio driver kernel modules are in this deb.

Hui Wang (hui.wang)
description: updated
Stefan Bader (smb)
Changed in linux (Ubuntu Focal):
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Corbin (cpwest11) wrote :

I am pleased to report your patched kernel works for me as well.

Excellent work!

Revision history for this message
Corbin (cpwest11) wrote :

Where can I check to see when this fix has been pushed out as part of an Ubuntu update?

Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Corbin (cpwest11)
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (97.9 KiB)

This bug was fixed in the package linux - 5.4.0-45.49

---------------
linux (5.4.0-45.49) focal; urgency=medium

  * focal/linux: 5.4.0-45.49 -proposed tracker (LP: #1893050)

  * [Potential Regression] dscr_inherit_exec_test from powerpc in
    ubuntu_kernel_selftests failed on B/E/F (LP: #1888332)
    - powerpc/64s: Don't init FSCR_DSCR in __init_FSCR()

linux (5.4.0-44.48) focal; urgency=medium

  * focal/linux: 5.4.0-44.48 -proposed tracker (LP: #1891049)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * ipsec: policy priority management is broken (LP: #1890796)
    - xfrm: policy: match with both mark and mask on user interfaces

linux (5.4.0-43.47) focal; urgency=medium

  * focal/linux: 5.4.0-43.47 -proposed tracker (LP: #1890746)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Devlink - add RoCE disable kernel support (LP: #1877270)
    - devlink: Add new "enable_roce" generic device param
    - net/mlx5: Document flow_steering_mode devlink param
    - net/mlx5: Handle "enable_roce" devlink param
    - IB/mlx5: Rename profile and init methods
    - IB/mlx5: Load profile according to RoCE enablement state
    - net/mlx5: Remove unneeded variable in mlx5_unload_one
    - net/mlx5: Add devlink reload
    - IB/mlx5: Do reverse sequence during device removal

  * msg_zerocopy.sh in net from ubuntu_kernel_selftests failed (LP: #1812620)
    - selftests/net: relax cpu affinity requirement in msg_zerocopy test

  * Enlarge hisi_sec2 capability (LP: #1890222)
    - Revert "UBUNTU: [Config] Disable hisi_sec2 temporarily"
    - crypto: hisilicon - update SEC driver module parameter

  * Fix missing HDMI/DP Audio on an HP Desktop (LP: #1890441)
    - ALSA: hda/hdmi: Add quirk to force connectivity

  * Fix IOMMU error on AMD Radeon Pro W5700 (LP: #1890306)
    - PCI: Mark AMD Navi10 GPU rev 0x00 ATS as broken

  * ASoC:amd:renoir: the dmic can't record sound after suspend and resume
    (LP: #1890220)
    - SAUCE: ASoC: amd: renoir: restore two more registers during resume

  * No sound, Dummy output on Acer Swift 3 SF314-57G with Ice Lake core-i7 CPU
    (LP: #1877757)
    - ASoC: SOF: Intel: hda: fix generic hda codec support

  * Fix right speaker of HP laptop (LP: #1889375)
    - SAUCE: hda/realtek: Fix right speaker of HP laptop

  * blk_update_request error when mount nvme partition (LP: #1872383)
    - SAUCE: nvme-pci: prevent SK hynix PC400 from using Write Zeroes command

  * soc/amd/renoir: detect dmic from acpi table (LP: #1887734)
    - ASoC: amd: add logic to check dmic hardware runtime
    - ASoC: amd: add ACPI dependency check
    - ASoC: amd: fixed kernel warnings

  * soc/amd/renoir: change the module name to make it work with ucm3
    (LP: #1888166)
    - AsoC: amd: add missing snd- module prefix to the acp3x-rn driver kernel
      module
    - SAUCE: remove a kernel module since its name is changed

  * Focal update: v5.4.55 upstream stable release (LP: #1890343)
    - AX.25: Fix out-of-bounds read in ax25_connect()
    - AX.25: Prevent out-of-bounds read in ax25_sendmsg()
    - dev: Defer free of skbs in flush_backlog
    - drivers/net/wan/x25_asy: Fix to make i...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments